Update page
Use this API to modify attributes of a Notion page, such as its properties, icon, or cover.
Documentation Index
Fetch the complete documentation index at: https://developers.notion.com/llms.txt
Use this file to discover all available pages before exploring further.
Use cases
Updating properties
To change theproperties of a page in a data source, use the properties body parameter. This parameter can only be used if the page’s parent is a data source, aside from updating the title of a page outside of a data source.
The page’s properties schema must match the parent data source’s properties.
Setting the icon, cover, or “in trash” status
This endpoint can be used to update any pageicon or cover, and can be used to trash or restore any page.
Locking and unlocking a page
Use theis_locked boolean parameter to lock or unlock the page from being further edited in the Notion app UI. Note that this setting doesn’t affect the ability to update the page using the API.
Applying a page template
Use thetemplate body parameter object to apply a template to an existing page. This can either be the parent data source’s default template (type=default), or a specific template (type=template_id).
You can optionally provide template[timezone] — an IANA timezone string (e.g. America/New_York) — to control the timezone used when resolving template variables like @now and @today. If omitted, the associated user’s timezone is used for public connections and personal access tokens, or UTC for internal connections.
After the API request finishes, Notion’s systems merge the content and properties from your chosen template into the current page.
For more information, visit our related guide: Creating pages from templates.
Erasing content from a page
Use theerase_content flag to delete all block children of the current page. Use caution with this parameter, since this is a destructive action that cannot be reversed using the API.
The main use case is for applying a template in scenarios where it makes sense to clear all of the existing page content and replace it with the template page’s content, instead of appending the template content to what’s already on the page.
Adding content to a page
To add content, use the append block children API instead. Thepage_id can be passed as the block_id when adding block children to the page.
General behavior
Returns the updated page object.Errors
Each Public API endpoint can return several possible error codes. See the Error codes section of the Status codes documentation for more information.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The API version to use for this request. The latest version is 2026-03-11.
2026-03-11 Path Parameters
Body
- File Upload
- Emoji
- External
- Custom Emoji
- Icon
- File Upload
- External
Whether the page should be locked from editing in the Notion app UI. If not provided, the locked state will not be updated.
- Option 1
- Option 2
Whether to erase all existing content from the page. When used with a template, the template content replaces the existing content. When used without a template, simply clears the page content.
Response
- Option 1
- Option 2
The page object type name.
"page"The ID of the page.
Date and time when this page was created.
Date and time when this page was last edited.
Whether the page is in trash.
Whether the page has been archived.
Whether the page is locked from editing in the Notion app UI.
The URL of the Notion page.
The public URL of the Notion page, if it has been published to the web.
Information about the page's parent.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
Property values of this page.
Page icon.
- Emoji
- File
- External
- Custom Emoji
- Icon
Page cover image.
- File
- External
User who created the page.
User who last edited the page.